%define upstream_name    Perl6-Signature
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Parse, query, and pretty-print Perl 6 signatures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl6/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Moose)
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced)
BuildArch: noarch


%description
_Alpha release - everything here is subject to change_

*Perl6::Signature* models routine signatures as specified in Synopsis 6 of
the Perl 6 documentation. These signatures offer a rich language for
expressing type constraints, default values, and the optionality (among
other things) of routine parameters.

Included is a parser for the Signature language, accessors and convenience
methods for querying Signature objects, and a pretty-printer for producing
their canonical textual representation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README.md META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Perl6


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-5.mga6
+ Revision: 1031957
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.40.0-4.mga6
+ Revision: 931141
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 744674
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-2.mga5
+ Revision: 685955
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.40.0-1.mga5
+ Revision: 586033
- update to 0.04

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 514104
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 371779
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 29182
- mageia rebuild
- imported package perl-Perl6-Signature


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 404291
- rebuild using %%perl_convert_version

* Thu Dec 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2009.1
+ Revision: 310078
- import perl-Perl6-Signature


* Thu Dec 04 2008 cpan2dist 0.03-1mdv
- initial mdv release, generated with cpan2dist

